#version 400

uniform sampler2D textureMap;
uniform vec4 dominantColor;

in vec2 vuv;

out vec4[2] outColor;

void main()
{
	vec4 texRead = texture(textureMap,vuv);
	outColor[0] = texRead;
	outColor[0].rbg=mix(outColor[0].rgb,dominantColor.rgb,dominantColor.a);
	
	outColor[1] = vec4(0.0f,0.0f,0.0f,texRead.a);
}