#version 400

uniform sampler2D textureMap;
uniform bool hasTexture;

in vec2 gUV;

out vec4 out_color;

void main()
{
	if(hasTexture)
	{
		out_color = texture(textureMap,gUV);
	}
	else
		out_color = vec4(1.0f,1.0f,1.0f,1.0f);
}